package com.altinity.opsview.odw.model;

/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */

import java.util.HashMap;
import java.util.Map;

public class HostGroupWeek {
	
	private String hostGroup ="";
	private Map <String, AvailabilityModel>weeklyHistory = new HashMap<String,AvailabilityModel>();
	
	public HostGroupWeek (String hostGroup){
		this.hostGroup=hostGroup;
	}
	
	public void addWeek(String yearWeek, AvailabilityModel am){
		weeklyHistory.put(yearWeek,am);
	}

	
	public boolean isPerfect(){
		
		for (AvailabilityModel am : weeklyHistory.values()){
			if(!am.isPerfect())
				return false;
		}
		
		return true;
		
	}

	public String getHostGroup() {
		return hostGroup;
	}
	
	public AvailabilityModel getAvailabilityModelForWeek( String yearWeek){
		return weeklyHistory.get(yearWeek);
	}
	
}
