package com.altinity.opsview.odw.model;

/**
 * Copyright (C) 2008 Opsera Limited. All rights reserved
 *
 * This file is part of Opsview
 * 
 * Opsview is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * Opsview is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Opsview; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301  USA
 * 
 */

import java.util.HashMap;
import java.util.Map;

public class SummaryData {
	
	private String hostName;
	private String hostDescription;
	private Map <String, Double> perfDataByServiceCheckType = new HashMap<String, Double>();
	private Map <String, PerformanceLabel> perfLabelsByServiceCheckType = 
		new HashMap<String, PerformanceLabel>();
	
	/**
	 * 
	 */
	public SummaryData(String hostName) {
		this.hostName = hostName;
	}
	
	/**
	 * 
	 */
	public String getHostDescription() {
		return hostDescription;
	}
	
	/**
	 * 
	 */
	public void setHostDescription(String hostDescription) {
		this.hostDescription = hostDescription;
	}
	
	/**
	 * 
	 */
	public String getHostName() {
		return hostName;
	}
	
	/**
	 * 
	 */
	public void setHostName(String hostName) {
		this.hostName = hostName;
	}
	
	/**
	 * 
	 */
	public void setServiceCheckValue(String serviceCheckType, Double value) {
		perfDataByServiceCheckType.put(serviceCheckType, value);
	}
	
	/**
	 * 
	 */
	public Double getServiceCheckValue(String serviceCheckType) {
		return perfDataByServiceCheckType.get(serviceCheckType);
	}
	
	/**
	 * 
	 */
	public void setPerformanceLabel(String serviceCheckType, PerformanceLabel perfLabel) {
		perfLabelsByServiceCheckType.put(serviceCheckType, perfLabel);
	}
	
	/**
	 * 
	 */
	public PerformanceLabel getPerformanceLabel(String serviceCheckType) {
		return perfLabelsByServiceCheckType.get(serviceCheckType);
	}
}
