<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE foo [
	<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- *************************************************************************************************
	Host Group Summary
	*************************************************************************************************** -->
	<xsl:template name="hostgroup-summary" match="element[@name='hostgroup-summary']">
		<xsl:call-template name="element-title"/>
		<xsl:choose>
			<xsl:when test="empty">
				<fo:block >No hostgroup availability summary data in reporting period.</fo:block>
			</xsl:when>
			<xsl:otherwise>
				<fo:table font-size="10px" >	
					<fo:table-column column-width="55mm"/>
					<fo:table-column column-width="25mm"/>
					<fo:table-column column-width="25mm"/>
					<fo:table-column column-width="25mm"/>
					<fo:table-column column-width="25mm"/>
					<fo:table-header>
		  				<fo:table-row>
		    				<fo:table-cell padding="1mm" ><fo:block font-weight="bold">Hostgroup</fo:block></fo:table-cell>
		    				<fo:table-cell padding="1mm" ><fo:block font-weight="bold">Availability</fo:block></fo:table-cell>
		    				<fo:table-cell padding="1mm" ><fo:block font-weight="bold">Scheduled</fo:block></fo:table-cell>
		    				<fo:table-cell padding="1mm" ><fo:block font-weight="bold">Unscheduled</fo:block></fo:table-cell>
		    				<fo:table-cell padding="1mm" ><fo:block font-weight="bold">1st Availability Threshold</fo:block></fo:table-cell>
		    				<fo:table-cell padding="1mm" ><fo:block font-weight="bold">2nd Availability Threshold</fo:block></fo:table-cell>
		  				</fo:table-row>
					</fo:table-header>
					<fo:table-body>
						<xsl:for-each select="hostgroups/hostgroup">
							<fo:table-row>						
		    					<fo:table-cell padding="1mm" > <fo:block ><xsl:value-of select="name"/></fo:block></fo:table-cell>
								<fo:table-cell padding="1mm" >
									<xsl:attribute name="color">
										<xsl:value-of select="@color" />
									</xsl:attribute> 
									<fo:block ><xsl:value-of select="availability"/>%</fo:block>
								</fo:table-cell>
		    					<fo:table-cell padding="1mm" >
									<xsl:attribute name="color">
										<xsl:value-of select="@color" />
									</xsl:attribute>     					
		    						<fo:block ><xsl:value-of select="scheduled-downtime"/>%</fo:block>
		    					</fo:table-cell>
		    					<fo:table-cell padding="1mm" >
									<xsl:attribute name="color">
										<xsl:value-of select="@color" />
									</xsl:attribute>     					
		    						<fo:block ><xsl:value-of select="unscheduled-downtime"/>%</fo:block>
		    					</fo:table-cell>		    					
		    					<fo:table-cell padding="1mm" >
			    					<xsl:attribute name="color">
										<xsl:value-of select="@color" />
									</xsl:attribute> 
		    						<fo:block ><xsl:value-of select="warn"/>%</fo:block>
		    					</fo:table-cell>
		    					<fo:table-cell padding="1mm" >
			    					<xsl:attribute name="color">
										<xsl:value-of select="@color" />
									</xsl:attribute> 
		    						<fo:block ><xsl:value-of select="crit"/>%</fo:block>
		    					</fo:table-cell>
		  					</fo:table-row>
						</xsl:for-each>
					</fo:table-body>
				</fo:table>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
