/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO,MYSQL40' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
DROP TABLE IF EXISTS `generic_availability_targets_hostgroup`;
CREATE TABLE `generic_availability_targets_hostgroup` (
  `id` int(11) NOT NULL auto_increment,
  `hostgroup` varchar(128) NOT NULL default '',
  `warning` float default NULL,
  `critical` float default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `hostgroup` (`hostgroup`)
) TYPE=InnoDB;


/*!40000 ALTER TABLE `generic_availability_targets_hostgroup` DISABLE KEYS */;
LOCK TABLES `generic_availability_targets_hostgroup` WRITE;
INSERT INTO `generic_availability_targets_hostgroup` VALUES (1,'',99,98);
UNLOCK TABLES;
/*!40000 ALTER TABLE `generic_availability_targets_hostgroup` ENABLE KEYS */;
DROP TABLE IF EXISTS `report_types`;
CREATE TABLE `report_types` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `fixedname` varchar(128) default NULL,
  `invoker` varchar(128) default NULL,
  `frequency` varchar(128) default NULL,
  `day_value` int(11) default NULL,
  `requires_selection` int(11) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `fixedname` (`fixedname`)
) TYPE=InnoDB;


/*!40000 ALTER TABLE `report_types` DISABLE KEYS */;
LOCK TABLES `report_types` WRITE;
INSERT INTO `report_types` VALUES (1,'Monthly Availability by Hostgroup','generic_availability','generic_availability','monthly',1,1);
INSERT INTO `report_types` VALUES (2,'Weekly Availability by Keyword, Critical States','weekly_availability_keyword_critical_states','generic_availability','weekly',1,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `report_types` ENABLE KEYS */;
DROP TABLE IF EXISTS `reports`;
CREATE TABLE `reports` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `selection` int(11) default NULL,
  `type` int(11) NOT NULL default '0',
  `format` varchar(128) NOT NULL default '',
  `logo` blob,
  `scheduled` int(11) NOT NULL default '1',
  `email` text,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `selection` (`selection`),
  KEY `type` (`type`),
  CONSTRAINT `reports_selection_fk` FOREIGN KEY (`selection`) REFERENCES `selections` (`id`),
  CONSTRAINT `reports_type_fk` FOREIGN KEY (`type`) REFERENCES `report_types` (`id`)
) TYPE=InnoDB;


/*!40000 ALTER TABLE `reports` DISABLE KEYS */;
LOCK TABLES `reports` WRITE;
INSERT INTO `reports` VALUES (1,'Availability Report on Production',1,1,'A4',NULL,0,'');
INSERT INTO `reports` VALUES (3,'Network Infrastructure Report',3,1,'A4',NULL,0,NULL);
INSERT INTO `reports` VALUES (4,'Opsview App Availability',2,2,'A4',NULL,0,'');
INSERT INTO `reports` VALUES (7,'Altinityweb with servicecheck name on Tuesdays',3,2,'A4',NULL,0,'');
INSERT INTO `reports` VALUES (8,'Altinityweb using hostlabels',3,2,'A4',NULL,0,'');
UNLOCK TABLES;
/*!40000 ALTER TABLE `reports` ENABLE KEYS */;
DROP TABLE IF EXISTS `schema_version`;
CREATE TABLE `schema_version` (
  `major_release` varchar(16) default NULL,
  `version` varchar(16) default NULL
) TYPE=InnoDB;


/*!40000 ALTER TABLE `schema_version` DISABLE KEYS */;
LOCK TABLES `schema_version` WRITE;
INSERT INTO `schema_version` VALUES ('2.11','1');
INSERT INTO `schema_version` VALUES ('2.12','1');
UNLOCK TABLES;
/*!40000 ALTER TABLE `schema_version` ENABLE KEYS */;
DROP TABLE IF EXISTS `selectionhostgroups`;
CREATE TABLE `selectionhostgroups` (
  `selection` int(11) NOT NULL default '0',
  `hostgroup` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`selection`,`hostgroup`),
  KEY `selection` (`selection`),
  CONSTRAINT `selectionhostgroups_selection_fk` FOREIGN KEY (`selection`) REFERENCES `selections` (`id`)
) TYPE=InnoDB;


/*!40000 ALTER TABLE `selectionhostgroups` DISABLE KEYS */;
LOCK TABLES `selectionhostgroups` WRITE;
INSERT INTO `selectionhostgroups` VALUES (1,'Production Applications');
INSERT INTO `selectionhostgroups` VALUES (1,'Production Hosts');
INSERT INTO `selectionhostgroups` VALUES (2,'Windows Servers - GBCORES');
INSERT INTO `selectionhostgroups` VALUES (3,'Network Infrastructure');
UNLOCK TABLES;
/*!40000 ALTER TABLE `selectionhostgroups` ENABLE KEYS */;
DROP TABLE IF EXISTS `selections`;
CREATE TABLE `selections` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) TYPE=InnoDB;


/*!40000 ALTER TABLE `selections` DISABLE KEYS */;
LOCK TABLES `selections` WRITE;
INSERT INTO `selections` VALUES (3,'Network Infrastructure');
INSERT INTO `selections` VALUES (1,'Production');
INSERT INTO `selections` VALUES (2,'Windows Servers - GBCORES');
UNLOCK TABLES;
/*!40000 ALTER TABLE `selections` ENABLE KEYS */;
DROP TABLE IF EXISTS `selectionworkinghours`;
CREATE TABLE `selectionworkinghours` (
  `selection` int(11) NOT NULL default '0',
  `start` time NOT NULL default '00:00:00',
  `end` time NOT NULL default '00:00:00',
  PRIMARY KEY  (`selection`),
  CONSTRAINT `selectionworkinghours_selection_fk` FOREIGN KEY (`selection`) REFERENCES `selections` (`id`)
) TYPE=InnoDB;


/*!40000 ALTER TABLE `selectionworkinghours` DISABLE KEYS */;
LOCK TABLES `selectionworkinghours` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `selectionworkinghours` ENABLE KEYS */;
DROP TABLE IF EXISTS `weekly_availability_keyword_critical_states`;
CREATE TABLE `weekly_availability_keyword_critical_states` (
  `reportid` int(11) NOT NULL default '0',
  `start_of_week` smallint(6) NOT NULL default '1',
  `label` enum('hostname/servicecheck','servicecheck','description') NOT NULL default 'hostname/servicecheck',
  `keywords` text,
  `annotation` text,
  `auto_null_annotation` int(11) default '0',
  PRIMARY KEY  (`reportid`),
  CONSTRAINT `weekly_availability_keyword_critical_states` FOREIGN KEY (`reportid`) REFERENCES `reports` (`id`)
) TYPE=InnoDB;


/*!40000 ALTER TABLE `weekly_availability_keyword_critical_states` DISABLE KEYS */;
LOCK TABLES `weekly_availability_keyword_critical_states` WRITE;
INSERT INTO `weekly_availability_keyword_critical_states` VALUES (4,1,'description','opsview','',0);
INSERT INTO `weekly_availability_keyword_critical_states` VALUES (7,2,'servicecheck','altinityweb','',0);
INSERT INTO `weekly_availability_keyword_critical_states` VALUES (8,1,'hostname/servicecheck','altinityweb','',0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `weekly_availability_keyword_critical_states` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

